package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 欢迎语媒体表(TabHaobanWelcomeMedia)实体类
 *
 * @author xugaojun
 * @since 2022-02-09 14:47:20
 */
public class TabHaobanWelcomeMedia implements Serializable {
    private static final long serialVersionUID = -15936685674419727L;
    /**
    * 欢迎语媒体id
    */
    private Long welcomeMediaId;
    /**
    * 微信企业id
    */
    private String wxEnterpriseId;
    /**
    * 欢迎语id
    */
    private String welcomeId;
    /**
     * 媒体标题
     */
    private String mediaTitle;
    /**
    * 媒体类型 1图片 2视频 3文件 4链接 5小程序 6带参小程序 7带参公众号二维码
     * {@link com.gic.haoban.manage.api.enums.WelcomeMediaTypeEnum}
    */
    private Integer mediaType;
    /**
    * 媒体文件路径,保存上传路径
    */
    private String mediaUrl;

    private String mediaId ;
    private Date mediaTime ;
    /**
     * 小程序页面路径
     */
    private String miniProgramPage;
    /**
     * 媒体资源大小
     */
    private String mediaSize;
    /**
     * 小程序id,仅类型为5小程序时需要传
     */
    private String miniProgramId;
    /**
    * 创建时间
    */
    private Date createTime;
    /**
    * 更新时间
    */
    private Date updateTime;
    /**
    * 是否删除0否1是
    */
    private Integer deleteFlag;

    public Date getMediaTime() {
        return mediaTime;
    }

    public void setMediaTime(Date mediaTime) {
        this.mediaTime = mediaTime;
    }

    public String getMediaId() {
        return mediaId;
    }

    public void setMediaId(String mediaId) {
        this.mediaId = mediaId;
    }

    public Long getWelcomeMediaId() {
        return welcomeMediaId;
    }

    public void setWelcomeMediaId(Long welcomeMediaId) {
        this.welcomeMediaId = welcomeMediaId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public String getMediaTitle() {
        return mediaTitle;
    }

    public void setMediaTitle(String mediaTitle) {
        this.mediaTitle = mediaTitle;
    }

    public Integer getMediaType() {
        return mediaType;
    }

    public void setMediaType(Integer mediaType) {
        this.mediaType = mediaType;
    }

    public String getMediaUrl() {
        return mediaUrl;
    }

    public void setMediaUrl(String mediaUrl) {
        this.mediaUrl = mediaUrl;
    }

    public String getMiniProgramPage() {
        return miniProgramPage;
    }

    public void setMiniProgramPage(String miniProgramPage) {
        this.miniProgramPage = miniProgramPage;
    }

    public String getMediaSize() {
        return mediaSize;
    }

    public void setMediaSize(String mediaSize) {
        this.mediaSize = mediaSize;
    }

    public String getMiniProgramId() {
        return miniProgramId;
    }

    public void setMiniProgramId(String miniProgramId) {
        this.miniProgramId = miniProgramId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    @Override
    public String toString() {
        return "TabHaobanWelcomeMedia{" +
                "welcomeMediaId=" + welcomeMediaId +
                ", wxEnterpriseId='" + wxEnterpriseId + '\'' +
                ", welcomeId='" + welcomeId + '\'' +
                ", mediaTitle='" + mediaTitle + '\'' +
                ", mediaType=" + mediaType +
                ", mediaUrl='" + mediaUrl + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", deleteFlag=" + deleteFlag +
                '}';
    }
}
